PPPX(4)

NAME
pppx - PPP multiplexer device

SYNOPSIS
pseudo-device pppx

#include <sys/socket.h>
#include <sys/ioctl.h>
#include <net/pipex.h>

DESCRIPTION
The pppx driver works with the npppd(8) daemon, allocating a network interface for each Point-to-Point Protocol (PPP) session by request from the daemon. It also works with pipex(4) to accelerate the performance of packet forwarding and supports ioctls which are added by pipex(4).

To use pppx from npppd(8) the administrator needs to configure the interface configuration in npppd.conf(5). Also the administrator needs to enable pipex(4) by setting net.pipex.enable to ‘1’ using sysctl(8).

SEE ALSO
inet(4), inet6(4), pipex(4), hostname.if(5), npppd.conf(5), netstart(8), npppd(8), sysctl(8)

HISTORY
The pppx driver first appeared in OpenBSD 5.3.

AUTHORS
David Gwynne <dlg@openbsd.org> Claudio Jeker <claudio@openbsd.org>